{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

        <link rel="stylesheet" href="{% static 'css/style3.css' %}">

        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
        

        {% block meta %}
        {% endblock meta %}
    </head>

    <body>
        <nav class="navbar sticky-top navbar-expand-lg navbar-dark navbar-custom">
            <div class="navcon container-xl">
                <a class="navbar-brand " href="{% url 'index' %}"><h2>MY PAGE</h2></a>
      
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
      
                <div class="collapse navbar-collapse" id="navbarNav">
                    {% if user.is_authenticated %}
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item mr-5 active">
                            <a class="nav-link" href=""><h4>{{user.username}}</h4></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'logout' %}"><h4>LOGOUT</h4></a>
                        </li>
                    </ul>
                    {% else %}
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item mr-5 active">
                            <a class="nav-link" href="{% url 'register' %}"><h4>SIGN UP</h4></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'login' %}"><h4>LOGIN</h4></a>
                        </li>
                    </ul>
                    {% endif %}
                </div>
            </div>
        </nav>
        {% block content %}

        {% endblock content %}
        
    </body>
</html>